      subroutine PONDAT(EOF,NOTE,NOTEE,Y1,IVAL,IDAT)
      include 'UNITS.INC'
      real Y(5,6),Y1(2)
      integer EOF,IVAL,IDAT,NT(5,4),NOTE(2),I,K1,K2,KKDUM,J
      character*1 DUM1(5,4), NOTEE(2)
      EOF = 0
      do 100 I = 1, 2
         K1 = (I-1)*3
         K2 = (I-1)*2
         read (PLTLUN(MACHNO),err=130,end=120) KKDUM,(Y(J,K1+1),J=1,5)
         read (PLTLUN(MACHNO),err=130,end=120) KKDUM,(NT(J,K2+1),J=1,5),
     &      (DUM1(J,K2+1),J=1,5),(Y(J,K1+2),J=1,5)
         read (PLTLUN(MACHNO),err=130,end=120) KKDUM,(NT(J,K2+2),J=1,5),
     &      (DUM1(J,K2+2),J=1,5),(Y(J,K1+3),J=1,5)
100   continue
      Y1(1) = Y(IDAT,IVAL)
      Y1(2) = Y(IDAT,IVAL+3)
      if (IVAL.eq.1) then
         NOTE(1) = 0
         NOTE(2) = 0
         NOTEE(1) = 'A'
         NOTEE(2) = 'A'
         go to 110
      endif
      NOTE(1) = NT(IDAT,IVAL-1)
      NOTE(2) = NT(IDAT,IVAL+1)
      NOTEE(1) = DUM1(IDAT,IVAL-1)
      NOTEE(2) = DUM1(IDAT,IVAL+1)
110   continue
      return
120   continue
      EOF = 1
      go to 110
130   continue
      write (TTYOUT(MACHNO),5000)
5000  format (/1X,'Error while reading plot file. Task aborted.'/)
      EOF = 1
      go to 110
      end
